=== debian/changelog ===
cloudcompare (2.11.3-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2021-21897: Heap-based buffer overflow loading a DXF file.
    (Closes: #1010347)

 -- Adrian Bunk <bunk@debian.org>  Fri, 07 Apr 2023 14:45:46 +0300

cloudcompare (2.11.3-7) unstable; urgency=medium

  * Drop png extension from desktop files. (Closes: #1021335)

 -- Gürkan Myczko <tar@debian.org>  Mon, 10 Oct 2022 14:52:30 +0200

cloudcompare (2.11.3-6) unstable; urgency=medium

  * debian/patches/ffmpeg-5.0.patch: compatibility with ffmpeg 5.0.
    (Closes: #1004801), thanks Steve Langasek for the patch.

 -- Gürkan Myczko <tar@debian.org>  Tue, 16 Aug 2022 11:59:26 +0200

cloudcompare (2.11.3-5) unstable; urgency=medium

  * Drop PDAL & LASzip from build dependencies, the packages will be removed.
    Thanks for the patches Bas Couwenberg.
    (Closes: #1006910, #1007126, #1007127)

 -- Gürkan Myczko <tar@debian.org>  Mon, 21 Mar 2022 08:24:58 +0100

cloudcompare (2.11.3-4) unstable; urgency=medium

  * Apply patch to fix FTBFS. (Closes: #996589)
    Thanks Adrian Bunk.

 -- Gürkan Myczko <tar@debian.org>  Wed, 17 Nov 2021 12:08:34 +0100

cloudcompare (2.11.3-3) unstable; urgency=medium

  * d/rules:
    - replace ffmpeg x86_64-linux-gnu parameters with $(DEBARCH)
      Thanks Adrian Bunk for the hint.
    - sed the right part for plugins directory.
  * Update maintainer address.

 -- Gürkan Myczko <tar@debian.org>  Wed, 17 Nov 2021 09:29:07 +0100

cloudcompare (2.11.3-2) unstable; urgency=medium

  * Upload to unstable.
  * d/copyright: update file patterns.
  * Bump standards versino to 4.6.0.
  * d/rules: update cmake parameters for plugins.
  * d/control: add libeigen3-dev to Build-Depends.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 11 Oct 2021 09:16:20 +0200

cloudcompare (2.11.3-1) experimental; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13, drop d/compat.
  * Bump standards version to 4.5.0.
  * d/patches: dropped.
  * d/ccApplicationBase.cpp: dh_clean patch dropped from d/rules.
  * d/upstream/metadata: added.
  * d/control: added Rules-Requires-Root.
  * d/copyright: update copyright years.
  * d/clean: added.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 20 Nov 2020 15:03:44 +0100
