=== debian/rules ===
#!/usr/bin/make -f
export DH_OPTIONS

DEBARCH:=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DH_VERBOSE=1

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_auto_configure:
	$(shell sed -i s,lib/x86_64-linux-gnu/cloudcompare/plugins,lib/$(DEBARCH)/cloudcompare/plugins,g common/ccApplicationBase.cpp)
	#$(shell sed -i s,lib/cloudcompare/plugins,lib/$(DEBARCH)/cloudcompare/plugins,g common/ccApplicationBase.cpp)
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DOPTION_USE_LIBLAS=OFF \
		-DOPTION_PDAL_LAS=OFF \
		-DCOMPILE_CC_CORE_LIB_WITH_CGAL=OFF \
		-DJSON_ROOT_DIR=/usr/include/jsoncpp \
		-DWITH_FFMPEG_SUPPORT=ON \
		-DFFMPEG_INCLUDE_DIR="/usr/include/$(DEBARCH)" \
		-DFFMPEG_LIBRARY_DIR="/usr/lib/$(DEBARCH)" \
		-DINSTALL_QBLUR_PLUGIN=ON \
		-DPLUGIN_GL_QEDL=ON \
		-DPLUGIN_STANDARD_QPCV=ON \
		-DPLUGIN_STANDARD_QSRA=ON \
		-DPLUGIN-STANDARD_QBROOM=ON \
		-DPLUGIN-STANDARD_QCSF=ON \
		-DPLUGIN-STANDARD_QHPR=ON \
		-DPLUGIN-STANDARD_QM3C2=ON \
		-DPLUGIN_IO_QPDAL=OFF \
		-DPLUGIN_IO_QPHOTOSCAN=ON \
		-DPLUGIN_STANDARD_QRANSAC_SD=ON \
		-DPLUGIN_STANDARD_QANIMATION=ON \
		-DPLUGIN_STANDARD_QCOMPASS=ON \
		-DPLUGIN_STANDARD_QHOUGH_NORMALS=ON \
		-DINSTALL_QSSAO_PLUGIN=ON \
		-DINSTALL_QANIMATION_PLUGIN=ON \
		-DINSTALL_QGMMREG_PLUGIN=ON \
		-DOPTION_USE_DXF_LIB=ON \
		-DEIGEN_ROOT_DIR=/usr/include/eigen3 \
		-DCOMPILE_CC_CORE_LIB_WITH_TBB=OFF

#		-DCMAKE_BUILD_TYPE=Release \
#		-DOPTION_USE_LIBLAS=ON \
#		-DCOMPILE_CC_CORE_LIB_WITH_CGAL=OFF \
#		-DJSON_ROOT_DIR=/usr/include/jsoncpp \
#		-DWITH_FFMPEG_SUPPORT=ON \
#		-DFFMPEG_INCLUDE_DIR="/usr/include/$(DEBARCH)" \
#		-DFFMPEG_LIBRARY_DIR="/usr/lib/$(DEBARCH)" \
#		-DINSTALL_QBLUR_PLUGIN=ON

#		-DCMAKE_BUILD_TYPE=Release \
#		-DINSTALL_QHOUGH_NORMALS_PLUGIN=true \
#		-DINSTALL_QPOISSON_RECON_PLUGIN=ON \
#		-DPOISSON_RECON_WITH_OPEN_MP=ON \
#		-DOPTION_USE_GDAL=ON \
#		-DOPTION_USE_DXF_LIB=ON \
#		-DINSTALL_QPHOTOSCAN_IO_PLUGIN=ON \
#		-DOPTION_USE_SHAPE_LIB=ON \
#		-DEIGEN_ROOT_DIR=/usr/include/eigen3 \

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/cloudcompare $(DEBARCH)
