## cloudcompare 2.11.3+git20220202+ds

=== debian/changelog ===
cloudcompare (2.11.3+git20220202+ds-1) experimental; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * d/copyright: bump years.

 -- Gürkan Myczko <tar@debian.org>  Wed, 02 Feb 2022 15:20:50 +0100
