## cloudcompare 2.13~git20230616+ds

=== debian/changelog ===
cloudcompare (2.13~git20230616+ds-2) experimental; urgency=medium

  * d/rules: also use CGAL. (Closes: #1041469)

 -- Gürkan Myczko <tar@debian.org>  Mon, 24 Jul 2023 13:56:42 +0200

cloudcompare (2.13~git20230616+ds-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Fri, 16 Jun 2023 15:00:18 +0200

cloudcompare (2.13~git20230321+ds-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.
  * d/rules: enable PLUGIN_STANDARD_QPCL. (Closes: #1020278)
  * d/control:
    - add libpcl-dev.
    - add Vcs fields.

 -- Gürkan Myczko <tar@debian.org>  Tue, 21 Mar 2023 13:07:07 +0100
