=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libqt5opengl5-dev, libcgal-dev, libdxflib-dev (>= 2.5.0),
  libglew-dev, libfreenect-dev, libgdal-dev, libgomp1, libboost-all-dev, libavcodec-dev, libavformat-dev, libswscale-dev, libeigen3-dev,
- libjsoncpp-dev, libcurl4-gnutls-dev | libcurl4-openssl-dev, libcgal-qt5-dev, libqt5svg5-dev, qttools5-dev-tools, qttools5-dev
-Standards-Version: 4.6.0
+ libjsoncpp-dev, libcurl4-gnutls-dev | libcurl4-openssl-dev, libcgal-qt5-dev, libqt5svg5-dev, qttools5-dev-tools, qttools5-dev, libpcl-dev
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/cloudcompare.git
+Vcs-Browser: https://salsa.debian.org/debian/cloudcompare
 Homepage: https://www.danielgm.net/cc/
 
 Package: cloudcompare
