=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,7 @@
 		-DPLUGIN_STANDARD_QANIMATION=ON \
 		-DPLUGIN_STANDARD_QCOMPASS=ON \
 		-DPLUGIN_STANDARD_QHOUGH_NORMALS=ON \
+		-DPLUGIN_STANDARD_QPCL=ON \
 		-DINSTALL_QSSAO_PLUGIN=ON \
 		-DINSTALL_QANIMATION_PLUGIN=ON \
 		-DINSTALL_QGMMREG_PLUGIN=ON \
@@ -57,7 +58,6 @@
 #		-DINSTALL_QPOISSON_RECON_PLUGIN=ON \
 #		-DPOISSON_RECON_WITH_OPEN_MP=ON \
 #		-DOPTION_USE_GDAL=ON \
-#		-DOPTION_USE_DXF_LIB=ON \
 #		-DINSTALL_QPHOTOSCAN_IO_PLUGIN=ON \
 #		-DOPTION_USE_SHAPE_LIB=ON \
 #		-DEIGEN_ROOT_DIR=/usr/include/eigen3 \
