## cloudcompare 2.13.2%2Bgit20240821%2Bds

=== libs/CMakeLists.txt ===
add_subdirectory( CCAppCommon)
add_subdirectory( CCFbo )
add_subdirectory( CCPluginStub )    # Must come before CCPluginAPI
add_subdirectory( CCPluginAPI )
add_subdirectory( qCC_db )
add_subdirectory( qCC_glWindow )
add_subdirectory( qCC_io )
