=== plugins/core/CMakeLists.txt ===

add_subdirectory( GL )
add_subdirectory( IO )
add_subdirectory( Standard )
