=== plugins/example/ExampleIOPlugin/src/CMakeLists.txt ===

target_sources( ${PROJECT_NAME}
    PRIVATE
        ${CMAKE_CURRENT_LIST_DIR}/ExampleIOPlugin.cpp
        ${CMAKE_CURRENT_LIST_DIR}/FooFilter.cpp
)
